Inventory

Stock On Hand

The StockOnHand report lists out the stock on hand for a site.

get/inventory/reports/stock-on-hand

Stock on Hand report

listStockOnHand

This endpoint provides a report of stock on hand for the given parameters.

Query parameters

  • site_iduuidrequired

    Filter stock on hand by site.

  • datedaterequired

    The date to filter stock on hand by.

  • brand_idsstring[]optional

    A comma-separated list of brand IDs to filter stock on hand by.

  • category_idsstring[]optional

    A comma-separated list of category IDs to filter stock on hand by.

  • supplier_idsstring[]optional

    A comma-separated list of supplier IDs to filter stock on hand by.

Responses

  • 200

    The stock on hand was successfully retrieved

  • 401

    The user is unauthenticated

get/inventory/reports/stock-on-hand/queue

Stock on Hand report queue

getStockOnHandQueue

This endpoint queues an export of the report of stock on hand for the given parameters.

Query parameters

  • site_iduuidrequired

    Filter stock on hand by site.

  • datedaterequired

    The date to filter stock on hand by.

  • brand_idsstring[]optional

    A comma-separated list of brand IDs to filter stock on hand by.

  • category_idsstring[]optional

    A comma-separated list of category IDs to filter stock on hand by.

  • supplier_idsstring[]optional

    A comma-separated list of supplier IDs to filter stock on hand by.

Responses

  • 200

    The job was successfully queued

  • 400

    The request failed.

  • 401

    The user is unauthenticated